2009-09-27 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to 5.1.39

2009-09-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to 5.1.38

2009-08-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.85 [old]

2009-08-14 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE, BUILD: added default compiled-in charset selection

2009-08-04 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to 5.1.37

2009-07-26 Elisamuel Resto <ryuji@sourcemage.org>
	* BUILD: filter -ffast-math from CFLAGS (Bug #15319)

2009-07-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.84 [old]

2009-07-02 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated stable to version 5.1.36

2009-06-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.83 [old]

2009-06-06 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 5.1.35

2009-06-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.82 [old]

2009-05-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.81 [old], cleaned up
	* DEPENDS: cleaned up

2009-05-02 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* init.d/mysql: made it non-sh, bug #13702

2009-04-24 Julien "_kaze_" ROZO <julien@rozo.org>
	* DETAILS: updated version to 5.1.34

2009-04-19 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: CSV engine now required.
	* BUILD: CSV engine now required.

2009-04-15 Eric Sandall <sandalle@sourcemage.org>
	* big_tables.patch: Synched to 5.1.32
	* PRE_BUILD: Use -p1 for big_tables.patch

2009-04-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Old is now 5.0.x and new is 5.1.x
	* DEPENDS: 5.1.x uses --with-ssl instead of --with-openssl
	* UP_TRIGGERS: Recast spells using the old libmysqlclient.so.15 library
	  from 5.0.x

2009-04-07 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added openssl a opt dep

2009-02-20 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 5.0.77
	* big_tables.patch: added, apply the patch to kill the warn about
	  max_join_size value on 32bit systems
	* PRE_BUILD: apply the patch

2009-02-01 Julien "_kaze_" ROZO <julien@rozo.org
	* PRE_SUB_DEPENDS, SUB_DEPENDS: switched subdepends to uppercase
	  (fixed bug #15054)
	* REPAIR^9682de3a9bbe7bf0d2281d5c80939d51^PRE_SUB_DEPENDS: added

2009-01-30 Julien "_kaze_" ROZO <julien@rozo.org
	* PRE_SUB_DEPENDS, SUB_DEPENDS: added forced InnoDB storage engine support

2009-01-16 George Sherwood <gsherwood@sourcemage.org>
	* REPAIR^42a552d208cfb9e83f80714ccbcee42b^POST_REMOVE: Added
	  proper REPAIR file.

2009-01-15 George Sherwood <gsherwood@sourcemage.org>
	* INSTALL: Added install for info file.
	* REPAIR^all^POST_REMOVE: Added to fix problem with POST_REMOVE.
	  Bug #14995
	* PRE_REMOVE: info files must be removed from dir prior to 
	  the info file being removed.  Also full paths needed.

2009-01-12 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Note that the 4.1.x branch is the old branch

2008-12-22 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: updated stable to 5.0.75. Fixed SOURCE2_IGNORE.

2008-11-22 George Sherwood <gsherwood@sourcemage.org>
	* PRE_SUB_DEPENDS: Missing spaces in conditional
	* REPAIR: Fixed old repair and added new one.

2008-08-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated to 5.0.67

2008-07-02 David Kowis <dkowis@shlrm.org>
	* FINAL: removed. Don't do any kind of database creation!

2008-04-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.0.51b

2008-02-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated old to 4.1.22 (old versions no longer available) SECURITY_PATCH++
	  Use upstream mysql.gpg for stable and old releases
	  Separate SECURITY_PATCH for stable and old (starting at SECURITY_PATCH=3)
	* mysql.gpg: Upstream key verified from http://dev.mysql.com/doc/refman/5.0/en/checking-gpg-signature.html
	  and http://keyserver.veridis.com:11371/search?q=build%40mysql.com&p=1&id=-8326718950139043339&created=1044292364000

2008-01-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 5.0.51a, SECURITY_PATCH=3
	  http://dev.mysql.com/doc/refman/5.0/en/releasenotes-cs-5-0-51a.html

2007-12-08 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated stable to 5.0.51

2007-07-14 George Sherwood <george@beernabeer.com>
	* DETAILS: updated OLD=n to 5.0.45

2007-05-10 George Sherwood <george@beernabeer.com>
	* DETAILS: updated OLD=n to 5.0.41
	  SECURITY_PATCH++

2007-03-10 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 5.0.37

2007-03-03 Jeremy Blosser <jblosser-smgl@firinn.org>
	* INSTALL: Replace bad TRACK_ROOT usage (automated).
	* FINAL: Replace bad TRACK_ROOT usage (automated).

2007-03-01 George Sherwood <george@beernabeer.com>
	* DETAILS: updated OLD=n to 5.0.36

2007-02-25 Pol Vinogradov <vin.public@gmail.com>
	* CONFIGURE: added omitted options for negative answers, reformatted

2007-02-20 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: made LD_PRELOAD_OLD local, track_rootifying pkglibdir, added
	  checking for "none" choice
	* CONFIGURE: added "none" to engines list
	* DEPENDS: added checking for "none" choice

2007-01-11 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 5.0.33

2006-12-20 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: added --without options to disable engines, install_rootifying
	  /var/lib/mysql
	* FINAL, INSTALL, POST_REMOVE: track_rootifying
	* PREPARE: removed needless true

2006-10-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 5.0.27

2006-10-24 David Brown <dmlb2000@gmail.com>
	* DETAILS: removed STAGED_INSTALL=off cause it should work

2006-10-12 Pol Vinogradov <vin.public@gmail.com>
	* CONFIGURE: added engines selection
	* DEPENDS: changed db optional depends to depends only if BerkeleyDB
	  engine was selected
	* BUILD: added checks for selected engines to pass options to $OPTS

2006-10-09 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 5.0.26.

2006-10-08 George Sherwood <george@beernabeer.com>
	* INSTALL: Removed mysql_install_db (Bug #10706)
	* FINAL: Added file and added mysql_install_db (Bug #10977)

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.24a

2006-08-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* SUB_DEPENDS, PRE_SUB_DEPENDS,
	  REPAIR^0e8556fdce509fd70c912ceed9094579^PRE_SUB_DEPENDS:
	  fixed *SUB_DEPENDS to use the correct variable name,
	  fixed a syntax error in PRE_SUB_DEPENDS

2006-08-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 5.0.24

2006-06-28 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: added STAGED_INSTALL=off since it doesn't work
	  with it and fix is not trivial

2006-05-31 Treeve Jelbert <treeve@sourcemage.org>
	*DETAILS: version 5.0.22

2006-05-24 Robin Cook <rcook@wyrms.net>
	* CONFIGURE: added embedded query
	* BUILD: added MSQL_EMBED
	* PRE_SUB_DEPENDS: added
	* SUB_DEPENDS: added

2006-04-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.21

2006-04-22 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.20a

2006-04-09 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.20

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-10 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.19

2005-12-30 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.18

2005-12-20 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.17

2005-11-19 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 5.0.16

2005-11-13 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to build 5.0.15 by default
	* CONFIGURE: Default InnoDB to yes. Upstreams prefers this
	* PREPARE: Default to 5.0.X series

2005-10-25 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated devel to now released 5.0.15

2005-10-23 George Sherwood <george@beernabeer.com>
	* DETAILS: updated to 4.1.15 and devel 5.0.12-beta

2005-09-06 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: added to fixup generation of .la libtool files (bug #9613)

2005-08-27 George Sherwood <george@beernabeer.com>
	* DETAILS: updated to 4.1.14 and gpg guru signing
	* mysql-4.1.14.tar.gz.sig: added file
	* mysql-5.0.11-beta.tar.gz.sig: added file

2005-08-24 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: add --localstatedir
	  fixes bug #9591

2005-08-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.11-beta
	* BUILD: use default_build
	  add missing &&

2005-07-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.10-beta

2005-07-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated 4.1.13
	* INSTALL: fix bug #9332

2005-07-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.9-beta

2005-06-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.7-beta

2005-06-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.4-beta

2005-05-31 David C. Haley <dhaley@hot.rr.com>
	* DEPENDS: added g++; failed cpp sanity check during compile without it.

2005-05-18 David Brown <dmlb2000@excite.com>
	* DETAILS: updated 4.1.12 and 5.0.4

2005-04-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated stable to 4.1.11

2005-03-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 5.0.3-beta
	* BUILD: try to create account mysql
	  should fix bug #8306
	  fix for version 5.0.3

2005-03-01 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/mysql: add restart option
	  fixes bug #8266

2005-02-15 David Brown <dmlb2000@excite.com>
	* DETAILS: updated 4.1.10

2005-01-19 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,CONFIGURE: Prepended MSQL_ to SERVER and INNODB
	* INSTALL: Check for --without-server in MSQL_SERVER instead of grepping
	  SPELL_CONFIG
	* BUILD: Create account in BUILD instead of INSTALL

2005-01-16 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE BUILD: remove use of OPTS as a variable name
	  use SERVER and INNODB instead
	  fixes bug # 7965

2005-01-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.1.9
	  Shortened SHORT

2004-12-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.1.8 / 5.0.2-alpha
	* CONFIGURE: use config_query,
	  also fix bug #7714

2004-11-04 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: modified the NPTL test to use glibc_is_nptl

2004-10-30 Robin Cook <rcook@wyrms.net>
	* BUILD: modified to test for NPTL="y" in glibc.p

2004-10-28 David C. Haley <dhaley@hot.rr.com>
	* DETAILS: Updated to 4.1.7

2004-09-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.21

2004-08-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: use $INSTALL_ROOT, man and info pages to /usr/share
	* POST_REMOVE: remove info page from the info table of contents

2004-07-05 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: previous fix should only apply to devel version
	  fix bug #7092

2004-06-30 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: change location of awk
	  fixes bug #7061

2004-06-25 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE: add final 'true'

2004-06-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 4.0.20 / 5.0.0-alpha
	  BUILD_API=2
	* BUILD: split
	* INSTALL PREPARE: add
	  allow use of stable or devel versions

2004-05-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 4.0.20

2004-05-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.19
	  Old SOURCE_URL[0] mirror no longer works, replaced with mirror.mcs.anl.gov

2004-02-25 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: use create_account
	  fixes bug #5547

2004-02-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.18
	  Removed MAINTAINER

2004-01-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: fix compilation with NPTL glibc

2003-12-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.17

2003-11-02 Eric Sandall <sandalle@sourcemage.org>
	* PROVIDES: Added provides SQL

2003-10-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 4.0.16
	* HISTORY: Formatted to Guru Handbook
	* POST_INSTALL,PRE_REMOVE: Removed, we do not
	  automatically start/stop services anymore

2003-10-02 hgg <hgreig@bigpond.net.au>
	* BUILD: add -DUSE_OLD_FUNCTIONS for older API compatibility

2003-10-01 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 4.0.15a

2003-09-20 Seth Woolley <seth@tautology.org>
	* BUILD: For some reason 4.0.15 didn't compile and
	  requires some change to add --enable-thread-safe-client
	  init script also fixed so that it works safely now.

2003-09-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 4.0.15

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-01 Seth Woolley <seth@tautology.org>
	* init.d/mysql: Updated to new init system.

2003-07-23 Eric Sandall <sandalle@sourcemage.org>
	* ChangeLog: Removed (already integrated into HISTORY)
	* DETAILS: Updated to 4.0.14 (Bug #3716)

2003-06-20 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 3.23.57.

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* init.d/mysql*: Copied /init.d/mysql.sh to /init.d/mysql
	  Step 1/3 in bug#: 3115

2003-03-26 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.56.

2003-02-26 Julian v. Bock <julian@wongr.net>
	* init.d/mysql.sh: add.
	* BUILD: cleanup.

2003-01-27 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.55.

2002-12-21 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.54a.

2002-12-14 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.54.

2002-11-10 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Generate source URI based on $VERSION.

2002-11-10 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.53.

2002-10-31 Julian v. Bock <julian@wongr.net>
	* DEPENDS: add procps dependency.

2002-10-03 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-09-22 Julian v. Bock <julian@wongr.net>
	* DEPENDS: add optional db dependency.
	* BUILD: don't configure with --with-mysqld-ldflags=-all-static;
	  add explicit configure options for user name and config dirs;
	  add mysql user / group only if the server is built.
	* Thanks to Sergey Lipnevich.

2002-08-16 Jayce^ <jason@infogenix.com>
	* DETAILS: Version update to 3.23.52
	* CONFIGURE: add optional support for innodb

2002-06-18 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 3.23.51.

2002-04-23 Steven Cook <dezmond@bardicgrove.org>
	* DETAILS: added two alternate URLs for download, as the one
	  mirror site that was listed was not responding; removed
	  outdated maintainter information; added workaround to mysql
	  sites using mixed-case instead of all-lower and major.minor
	  instead of major.minor.rev (FTP_NAME & FTP_VERSION), and
	  included them in the script (no more icky hardcodes!)

2002-01-14 Kongar <anonymous@sourcemage.org>
	* mysql 3.23.47
	* POST_INSTALL: Added script to start mysql daemon
	* PRE_REMOVE: Added script to stop mysqld before dispel
	* BUILD: Make the execution of server progs conditional
	  Added $OPTS to configure script in BUILD
	  Added an option whether to install ONLY the client
	  Added an option whether to start mysqld at boot, if ok,
	  create symlinks in rc*.d
	* CONFIGURE: The "mysqld boot" query is dependent on the answer of
	  "install client only" query

2001-12-18 Kongar <anonymous@sourcemage.org>
	* mysql 3.23.46
	* BUILD: Added --enable-assembler flag to configure, enabling asm string functions
	  added --with-mysqld-ldflags=-all-static to configure, in order
	  to build mysql statically. Performance gain is approx 13%
	  chown -R mysql.mysql /var/lib/mysql for correct ownership
